%\documentclass[t,handout]{beamer} % Use for static version without overlays.
\documentclass[t]{beamer} % Use for actual presentation

% Path to figure files.
\graphicspath{resources/figures}
%
%define theme
%\usetheme{mpievolbio}
%\usetheme{Madrid}
\usetheme{metropolis}
%
\setlength{\skip\footins}{10cm}
\setlength{\footskip}{0ex}
%packages
%\usepackage{layout}
\usepackage{etex}
\usepackage{amssymb}
\usepackage{amsmath}
\usepackage{latexsym}
\usepackage{graphicx}
\usepackage[labelformat=empty]{subfig}
\usepackage{tikz}
\usepackage{multirow}
\usetikzlibrary{positioning}
%\usepackage[style=authortitle]{biblatex}
\usepackage[style=chem-acs]{biblatex}
\usepackage{pdfpages}
\usepackage{lipsum}
\usepackage[]{hyperref}
\usepackage{hyperxmp}
\hypersetup{%
    unicode=true,                                                 % non-Latin characters in Acrobat’s bookmarks
    pdftoolbar=true,                                              % show Acrobat’s toolbar?
    pdfmenubar=true,                                              % show Acrobat’s menu?
    pdffitwindow=false,                                           % window fit to page when opened
    pdfpagemode={FullScreen},
    pdfauthor={Carsten Fortmann-Grote},                                           % author
    pdfdate={D:20200805090000Z},
    pdftitle={Stochastic simulations of microbial populations},   % title
    pdfsubject={Presentation in Microbial Population Biology Dept.},                             % subject of the document
    pdfcreator={pdflatex},                                         % creator of the document
    pdfkeywords={Modelling, python, profiling, workflows, evolutionary biology },                                         % list of keywords
    pdfnewwindow=true,                                            % links in new PDF window
    colorlinks=true,                                              % false: boxed links; true: colored links
    linkcolor=blue,                                                % color of internal links (change box color with linkbordercolor)
    linkbordercolor=white,
    urlbordercolor=white,
    filebordercolor=white,
    citebordercolor=white,
    citecolor=blue,                                                % color of links to bibliography
    filecolor=blue,                                               % color of file links
    urlcolor=blue                                                 % color of external links
}

%%
\addbibresource{jabref.bib}
%
\AtEveryBibitem{\ifentrytype{article}{\clearfield{doi}}{}}
\AtEveryBibitem{\ifentrytype{article}{\clearfield{DOI}}{}}
\AtEveryBibitem{\ifentrytype{article}{\clearfield{url}}{}}
\AtEveryBibitem{\ifentrytype{article}{\clearfield{editor}}{}}
%Beamer-mode
\mode<presentation>
\setbeamercovered{transparent}
% No navigation symbols.
\setbeamertemplate{navigation symbols}{}
%
\usetikzlibrary{arrows.meta,shapes}
\tikzset{%
  >={Latex[width=2mm,length=2mm]},
  % Specifications for style of nodes:
            base/.style = {rectangle,
                           fill=blue!20,
                           rounded corners,
                           draw=black,
                           text centered, font=\sffamily},
  %activityStarts/.style = {base, fill=blue!30},
       %startstop/.style = {base, fill=red!30},
    %activityRuns/.style = {base, fill=green!30},
         process/.style = {base, fill=orange!15,
                           font=\sffamily},
         switch/.style = {base, diamond, aspect=2, fill=green!10, minimum width=0,minimum height=0},
}
%
%Userdefined colors
\input{resources/colors}
\definecolor{mpievolbio_green}{RGB}{0,124,119}
\setbeamercolor*{frametitle}{fg=white,bg=mpievolbio_green}
\setbeamercolor{alerted text}{%
  fg=mpievolbio_green
}
%title and author
\title[Stochastic simulations]{Stochastic simulations of barcoded microbial populations}%
%\subtitle{Computational aspects and examples}%
\author[C. Fortmann-Grote]{Carsten Fortmann-Grote}
\institute[MPI Evolutionary Biology]{%
  \includegraphics[width=0.5\textwidth]{mpieb_logo_FGgreen_BGalpha}%
}%
\date[]{Microbial Population Biology Lab Seminar\\Pl\"on, Aug. 8 2020\\[5ex]}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% The logo
\logo{\includegraphics[width=0.05\textwidth]{mpg_logo_FGgreen_BGalpha}}
\begin{document}
\setbeamerfont{footnote}{size=\tiny}
\begin{frame}%
  \titlepage%
\end{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}%
  \frametitle{Outline}%
  \begin{block}{}
      \begin{itemize}
          \item Lineage tracking through genetic barcodes
          \item Analysis pipeline and testing
          \item Agent--based stochastic population model
          \item Testing barcode counting with \texttt{Bartender}
          \item Testing fitness estimate with \texttt{FitSeq}
          \item Outlook: Infering the competition matrix
      \end{itemize}
  \end{block}
\end{frame}%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{slides/barcode_tracking.tex}
\input{slides/barcode_analysis_pipeline.tex}
\input{slides/bartender.tex}
% \input{slides/Rainey1998.tex}
% \input{slides/LTslides.tex}
% \input{slides/biosystem_modeling.tex}
\input{slides/gillespie.tex}
\input{slides/barcode_ssa_with_mutations.tex}
\input{slides/bartender_test.tex}
\input{slides/FitSeq.tex}
\input{slides/compmat_vs_fitness.tex}
% \section{Some computational aspects}
% \input{slides/advanced_stochastic_simulations.tex}
% \input{slides/parallel_ssa.tex}
% \input{slides/stochsaas}
%%% BACKUPS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\begin{frame}[c]%
  \begin{block}{\hfill Thank you!\hfill}%
  \end{block}
\end{frame}%
%
\printbibliography
%
\end{document}
